Name:       perl-MooseX-Traits-Attribute-CascadeClear 
Version:    0.02 
Release:    1%{?dist}
# lib/Moose/Meta/Attribute/Custom/Trait/CascadeClear.pm -> LGPLv2, LGPLv3
# lib/Moose/Meta/Attribute/Custom/Trait/CascadeClearMaster.pm -> LGPLv2, LGPLv3
# lib/MooseX/Traits/Attribute/CascadeClear.pm -> LGPLv2, LGPLv3
# lib/MooseX/Traits/Attribute/CascadeClearMaster.pm -> LGPLv2, LGPLv3
License:    LGPLv2+ 
Group:      Development/Libraries
Summary:    Attribute trait to cascade clearer actions
Source:     http://search.cpan.org/CPAN/authors/id/R/RS/RSRCHBOY/MooseX-Traits-Attribute-CascadeClear-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/MooseX-Traits-Attribute-CascadeClear
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::More)


%description
CascadeClearer is an attribute metaclass trait that allows one to chain
attribute clearing actions.  For instance, if you have attributes that 
derive their value from a "master" attribute, this would transparently 
allow you to clear all the children attributes by clearing the master 
attribute.


%prep
%setup -q -n MooseX-Traits-Attribute-CascadeClear-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jan 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- touch up for submission

* Mon Dec 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.02-0.1
- update to 0.02

* Mon Dec 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.01-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.7)

